import 'dart:async';

import 'package:flutter/services.dart';

import 'models/bluetooth_models.dart';

class BluetoothManager {
  static const MethodChannel _channel = MethodChannel('bluetooth_manager');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get getBluetoothState async {
    final String state;
    try {
      state = await _channel.invokeMethod('getBluetoothState');
    } catch (e) {
      rethrow;
    }
    return state;
  }

  static Future<String?> get enableBluetooth async {
    final String actionResponse;
    try {
      actionResponse = await _channel.invokeMethod('enableBluetooth');
    } catch (e) {
      rethrow;
    }
    return actionResponse;
  }

  static Future<String?> get disableBluetooth async {
    final String actionResponse;
    try {
      actionResponse = await _channel.invokeMethod('disableBluetooth');
    } catch (e) {
      rethrow;
    }
    return actionResponse;
  }
}
